#    guppy Copyright (C) 2010-2011 guppy team members.
#
#    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
#    This is free software, and you are welcome to redistribute it
#    under certain conditions; type `show c' for details.

@plugin
class Ping(object):
    def __init__(self, server):
        self.server = server
        self.commands = [ "ping" ]
        self.server.handle("command", self.handle_command, self.commands)
    
    def handle_command(self, channel, user, cmd, args):
        if cmd == "ping":
            if len(args) > 0:
                self.server.doMessage(channel, user+": Pong "+" ".join(args))
            else:
                self.server.doMessage(channel, user+": Pong")
